## adduser 3.92

=== po/Makefile ===
XGETTEXT = xgettext
MSGFMT = msgfmt
MSGMERGE = msgmerge

LOCALEDIR = /usr/share/locale

.SUFFIXES: .po .mo .pot

%.mo: %.po
	$(MSGFMT) -o $@ $<

PO = $(wildcard *.po)
LANG = $(basename $(PO))
MO = $(addsuffix .mo,$(LANG))
SOURCES = ../adduser ../deluser ../AdduserCommon.pm

all: update $(MO)
update: adduser.pot
	-@for po in $(PO); do \
	echo -n "Updating $$po"; \
	$(MSGMERGE) -U $$po adduser.pot; \
	done;

adduser.pot: $(SOURCES)
	$(XGETTEXT) -c -L Perl -kgtx -o $@ $(SOURCES)

install: all
	for i in $(MO) ; do \
	  t=$(DESTDIR)/$(LOCALEDIR)/`basename $$i .mo`/LC_MESSAGES ;\
	  install -d $$t ;\
	  install -m 644 $$i $$t/adduser.mo ;\
	done

clean:
	$(RM) $(MO) *~

.PHONY: update

=== debian/control ===
Source: adduser
Section: admin
Priority: important
Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
Standards-Version: 3.7.2
Build-Depends-Indep: gettext (>= 0.13), po-debconf, po4a (>= 0.23)

Package: adduser
Architecture: all
Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
Suggests: liblocale-gettext-perl, perl-modules
Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
Description: Add and remove users and groups
 This package includes the adduser and deluser commands for creating
 and removing users.
 .
 o Adduser can create new users and groups and add existing users to
   existing groups.
 o Deluser can remove users and groups and remove users from a given
   group.
 .
 Adding users with adduser is much easier than adding them by hand.
 Adduser will choose appropriate UID and GID values, create a home
 directory, copy skeletal user configuration, allow you to set an
 initial password and the GECOS field.
 .
 Deluser can optionally remove and backup the user's home directory
 and mail spool or all files on the system owned by him.
 .
 Optionally a custom script can be executed after each of the commands.
 .
 Adduser is maintained on http://alioth.debian.org/projects/adduser/.
 There is also a development mailing list on
 http://lists.alioth.debian.org/mailman/listinfo/adduser-devel/.

## adduser 3.102

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 3.7.2
-Build-Depends-Indep: gettext (>= 0.13), po-debconf, po4a (>= 0.23)
+Build-Depends: po-debconf
+Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.23)
 
 Package: adduser
 Architecture: all
@@ -15,10 +16,10 @@
  This package includes the adduser and deluser commands for creating
  and removing users.
  .
- o Adduser can create new users and groups and add existing users to
-   existing groups.
- o Deluser can remove users and groups and remove users from a given
-   group.
+  - Adduser can create new users and groups and add existing users to
+    existing groups.
+  - Deluser can remove users and groups and remove users from a given
+    group.
  .
  Adding users with adduser is much easier than adding them by hand.
  Adduser will choose appropriate UID and GID values, create a home

## adduser 3.102maemo1

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 3.7.2
 Build-Depends: po-debconf
-Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.23)
+Build-Depends-Indep: gettext (>= 0.13)
+#, po4a (>= 0.23)
 
 Package: adduser
 Architecture: all
-Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
+Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.3), debconf | debconf-2.0
 Suggests: liblocale-gettext-perl, perl-modules
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: Add and remove users and groups

=== debian/rules ===
#!/usr/bin/make -f

package = adduser
version = $(shell dpkg-parsechangelog | awk '/^Version/{print $$2}')

build:
	$(checkdir)
	$(MAKE) -C po all adduser.pot
	# generate man pages
	#cd doc/po4a && po4a po4a.conf
	touch build

clean:
	$(checkdir)
	$(MAKE) -C po update clean
	debconf-updatepo
	#cd doc/po4a && po4a --rm-translations po4a.conf
	-rm -f doc/po4a/po/*~
	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	#install -d debian/tmp/{DEBIAN,etc,usr/{sbin,share/{doc/adduser/examples,perl5/Debian,man/{,ru_RU/}man{5,8}}}}
	install -d debian/tmp/DEBIAN debian/tmp/etc debian/tmp/usr/sbin \
		debian/tmp/usr/share/adduser \
		debian/tmp/usr/share/doc/adduser/examples \
		debian/tmp/usr/share/lintian/overrides \
		debian/tmp/usr/share/perl5/Debian \
		debian/tmp/usr/share/man/man5 \
		debian/tmp/usr/share/man/man8 \
		debian/tmp/usr/share/man/ru/man5 \
		debian/tmp/usr/share/man/ru/man8 \
		debian/tmp/usr/share/man/fr/man5 \
		debian/tmp/usr/share/man/fr/man8 \
		debian/tmp/usr/share/man/pl/man5 \
		debian/tmp/usr/share/man/pl/man8 \
		debian/tmp/usr/share/man/sv/man5 \
		debian/tmp/usr/share/man/sv/man8 \
		debian/tmp/usr/share/man/pt_BR/man5 \
		debian/tmp/usr/share/man/pt_BR/man8 \
		debian/tmp/usr/share/man/es/man5 \
		debian/tmp/usr/share/man/es/man8 \
		debian/tmp/usr/share/man/it/man5 \
		debian/tmp/usr/share/man/it/man8
	sed -e s/VERSION/$(version)/g adduser > debian/tmp/usr/sbin/adduser
	sed -e s/VERSION/$(version)/g deluser > debian/tmp/usr/sbin/deluser
	sed -e s/VERSION/$(version)/g AdduserCommon.pm > debian/tmp/usr/share/perl5/Debian/AdduserCommon.pm
	chmod 755 debian/tmp/usr/sbin/*
	ln -s adduser debian/tmp/usr/sbin/addgroup
	ln -s deluser debian/tmp/usr/sbin/delgroup

	./debian/scripts/install-manpages.pl $(version) doc/ debian/tmp/usr/share/man/

	install -m644 TODO debian/tmp/usr/share/doc/adduser/
	install -m644 debian/changelog debian/tmp/usr/share/doc/adduser/
	install -m644 debian/lintian/overrides/adduser debian/tmp/usr/share/lintian/overrides
	find debian/tmp/usr/share/doc -type f | xargs gzip -9f
	install -m644 deluser.conf debian/tmp/etc
	cp -r examples debian/tmp/usr/share/doc/adduser
	chmod -R 644 debian/tmp/usr/share/doc/adduser/examples
	find debian/tmp/usr/share/doc/adduser/examples -type d -print0 | xargs --null chmod 755
	chown -R root:root debian/tmp/usr/share/doc/adduser/examples
	install -m644 adduser.conf debian/tmp/usr/share/adduser
	install -m644 debian/copyright debian/tmp/usr/share/doc/adduser/ 
	install -m644 debian/conffiles debian/tmp/DEBIAN
	install -m755 debian/postinst debian/postrm debian/config debian/tmp/DEBIAN
	po2debconf debian/templates > debian/tmp/DEBIAN/templates
	$(MAKE) -C po DESTDIR=`pwd`/debian/tmp install 

	find debian/tmp/usr -type f -print | xargs md5sum | \
		sed s,debian/tmp/,, > debian/tmp/DEBIAN/md5sums
	chmod 644 debian/tmp/DEBIAN/md5sums
	
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)

define checkdir
	test -f $(package) -a -f debian/rules
endef

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile

## adduser 3.103ubuntu1

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: admin
 Priority: important
 Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
-Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
+Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, Stephen Gran <sgran@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: po-debconf
-Build-Depends-Indep: gettext (>= 0.13)
-#, po4a (>= 0.23)
+Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.23)
 
 Package: adduser
 Architecture: all
-Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.3), debconf | debconf-2.0
+Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
 Suggests: liblocale-gettext-perl, perl-modules
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: Add and remove users and groups

## adduser 3.104-indt1

=== debian/control ===
Source: adduser
Section: admin
Priority: important
Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, Stephen Gran <sgran@debian.org>
Standards-Version: 3.7.2
Build-Depends: po-debconf
Build-Depends-Indep: gettext (>= 0.13)

Package: adduser
Architecture: all
Depends: perl-base (>=5.6.0), passwd, debconf | debconf-2.0
Suggests: liblocale-gettext-perl, perl-modules
Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
Description: add and remove users and groups
 This package includes the 'adduser' and 'deluser' commands for creating
 and removing users.
 .
  - 'adduser' creates new users and groups and adds existing users to
    existing groups;
  - 'deluser' removes users and groups and removes users from a given
    group.
 .
 Adding users with 'adduser' is much easier than adding them manually.
 Adduser will choose appropriate UID and GID values, create a home
 directory, copy skeletal user configuration, and automate setting
 initial values for the user's password, real name and so on.
 .
 Deluser can back up and remove users' home directories
 and mail spool or all the files they own on the system.
 .
 A custom script can be executed after each of the commands.
 .
  Homepage: http://alioth.debian.org/projects/adduser/
  Development mailing list:
    http://lists.alioth.debian.org/mailman/listinfo/adduser-devel/

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,15 @@
 	$(checkdir)
 	$(MAKE) -C po all adduser.pot
 	# generate man pages
-	#cd doc/po4a && po4a po4a.conf
+#	cd doc/po4a && po4a po4a.conf
 	touch build
 
 clean:
 	$(checkdir)
 	$(MAKE) -C po update clean
 	debconf-updatepo
-	#cd doc/po4a && po4a --rm-translations po4a.conf
-	-rm -f doc/po4a/po/*~
+#	cd doc/po4a && po4a --rm-translations po4a.conf
+#	-rm -f doc/po4a/po/*~
 	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvars
 
 binary-indep:	checkroot build

## adduser 3.104-indt2

=== debian/changelog ===
adduser (3.104-indt2) unstable; urgency=low

  * Packing 3.63 as 3.104 trying to fix error in the version available in
    maemo extras repository.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Tue, 11 Sep 2007 10:36:57 -0300

## adduser 3.105ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, Stephen Gran <sgran@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: po-debconf
-Build-Depends-Indep: gettext (>= 0.13)
+Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.23)
 
 Package: adduser
 Architecture: all
-Depends: perl-base (>=5.6.0), passwd, debconf | debconf-2.0
+Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
 Suggests: liblocale-gettext-perl, perl-modules
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: add and remove users and groups

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,15 @@
 	$(checkdir)
 	$(MAKE) -C po all adduser.pot
 	# generate man pages
-#	cd doc/po4a && po4a po4a.conf
+	cd doc/po4a && po4a po4a.conf
 	touch build
 
 clean:
 	$(checkdir)
 	$(MAKE) -C po update clean
 	debconf-updatepo
-#	cd doc/po4a && po4a --rm-translations po4a.conf
-#	-rm -f doc/po4a/po/*~
+	cd doc/po4a && po4a --rm-translations po4a.conf
+	-rm -f doc/po4a/po/*~
 	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvars
 
 binary-indep:	checkroot build

## adduser 3.108ubuntu1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,12 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, Stephen Gran <sgran@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Build-Depends: po-debconf
 Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.23)
+Vcs-Svn: svn://svn.debian.org/adduser/
+Vcs-Browser: http://svn.debian.org/wsvn/adduser/
+Homepage: http://alioth.debian.org/projects/adduser/
 
 Package: adduser
 Architecture: all
@@ -32,6 +35,5 @@
  .
  A custom script can be executed after each of the commands.
  .
-  Homepage: http://alioth.debian.org/projects/adduser/
   Development mailing list:
     http://lists.alioth.debian.org/mailman/listinfo/adduser-devel/

## adduser 3.110

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
-Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, Stephen Gran <sgran@debian.org>
-Standards-Version: 3.7.3
+Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
+Uploaders: Joerg Hoh <joerg@joerghoh.de>, Roland Bauerschmidt <rb@debian.org>, Stephen Gran <sgran@debian.org>
+Standards-Version: 3.8.0
 Build-Depends: po-debconf
 Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.23)
 Vcs-Svn: svn://svn.debian.org/adduser/

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,6 @@
 	dpkg --build debian/tmp ..
 
 binary-arch:	checkroot build
-	$(checkdir)
 
 define checkdir
 	test -f $(package) -a -f debian/rules

## adduser 3.110ubuntu6

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Joerg Hoh <joerg@joerghoh.de>, Roland Bauerschmidt <rb@debian.org>, Stephen Gran <sgran@debian.org>
 Standards-Version: 3.8.0
 Build-Depends: po-debconf
@@ -13,7 +14,7 @@
 Package: adduser
 Architecture: all
 Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
-Suggests: liblocale-gettext-perl, perl-modules
+Suggests: liblocale-gettext-perl, perl-modules, ecryptfs-utils (>= 67-1)
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating

## adduser 3.112ubuntu1common1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Joerg Hoh <joerg@joerghoh.de>, Roland Bauerschmidt <rb@debian.org>, Stephen Gran <sgran@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 Build-Depends: po-debconf
-Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.23)
+Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.31)
 Vcs-Svn: svn://svn.debian.org/adduser/
 Vcs-Browser: http://svn.debian.org/wsvn/adduser/
 Homepage: http://alioth.debian.org/projects/adduser/

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,14 @@
 	$(checkdir)
 	$(MAKE) -C po all adduser.pot
 	# generate man pages
-	cd doc/po4a && po4a po4a.conf
+	cd doc/po4a && po4a --previous po4a.conf
 	touch build
 
 clean:
 	$(checkdir)
 	$(MAKE) -C po update clean
 	debconf-updatepo
-	cd doc/po4a && po4a --rm-translations po4a.conf
+	cd doc/po4a && po4a --previous --rm-translations po4a.conf
 	-rm -f doc/po4a/po/*~
 	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvars
 
@@ -52,19 +52,31 @@
 
 	./debian/scripts/install-manpages.pl $(version) doc/ debian/tmp/usr/share/man/
 
-	install -m644 TODO debian/tmp/usr/share/doc/adduser/
-	install -m644 debian/changelog debian/tmp/usr/share/doc/adduser/
-	install -m644 debian/lintian/overrides/adduser debian/tmp/usr/share/lintian/overrides
+	install -o root -g root -d -m755 debian/tmp/usr/share/doc/adduser/examples
+	install -o root -g root -d -m755 debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples
+	install -o root -g root -d -m755 debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/skel.other
+	install -o root -g root -d -m755 debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/skel
+	install -o root -g root -m644 TODO debian/tmp/usr/share/doc/adduser/
+	install -o root -g root -m644 debian/changelog debian/tmp/usr/share/doc/adduser/
+	install -o root -g root -m644 debian/lintian/overrides/adduser debian/tmp/usr/share/lintian/overrides
 	find debian/tmp/usr/share/doc -type f | xargs gzip -9f
-	install -m644 deluser.conf debian/tmp/etc
-	cp -r examples debian/tmp/usr/share/doc/adduser
-	chmod -R 644 debian/tmp/usr/share/doc/adduser/examples
-	find debian/tmp/usr/share/doc/adduser/examples -type d -print0 | xargs --null chmod 755
-	chown -R root:root debian/tmp/usr/share/doc/adduser/examples
-	install -m644 adduser.conf debian/tmp/usr/share/adduser
-	install -m644 debian/copyright debian/tmp/usr/share/doc/adduser/ 
-	install -m644 debian/conffiles debian/tmp/DEBIAN
-	install -m755 debian/postinst debian/postrm debian/config debian/tmp/DEBIAN
+	install -o root -g root -m644 deluser.conf debian/tmp/etc
+	install -o root -g root -m644 examples/adduser.local.conf.examples/skel.other/index.html debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/skel.other/
+	install -o root -g root -m644 examples/adduser.local.conf.examples/skel/dot.bash_logout debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/skel/
+	install -o root -g root -m644 examples/adduser.local.conf.examples/skel/dot.bashrc debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/skel/
+	install -o root -g root -m644 examples/adduser.local.conf.examples/skel/dot.bash_profile debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/skel/
+	install -o root -g root -m644 examples/adduser.local.conf.examples/bash.bashrc debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/
+	install -o root -g root -m644 examples/adduser.local.conf.examples/adduser.conf debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/
+	install -o root -g root -m644 examples/adduser.local.conf.examples/profile debian/tmp/usr/share/doc/adduser/examples/adduser.local.conf.examples/
+	install -o root -g root -m644 examples/adduser.local.conf debian/tmp/usr/share/doc/adduser/examples/
+	install -o root -g root -m644 examples/adduser.local debian/tmp/usr/share/doc/adduser/examples/
+	install -o root -g root -m644 examples/README debian/tmp/usr/share/doc/adduser/examples/
+	install -o root -g root -m644 examples/INSTALL debian/tmp/usr/share/doc/adduser/examples/
+
+	install -o root -g root -m644 adduser.conf debian/tmp/usr/share/adduser
+	install -o root -g root -m644 debian/copyright debian/tmp/usr/share/doc/adduser/ 
+	install -o root -g root -m644 debian/conffiles debian/tmp/DEBIAN/
+	install -o root -g root -m755 debian/postinst debian/postrm debian/config debian/tmp/DEBIAN/
 	po2debconf debian/templates > debian/tmp/DEBIAN/templates
 	$(MAKE) -C po DESTDIR=`pwd`/debian/tmp install

## adduser 3.112+nmu1ubuntu5

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
 Package: adduser
 Architecture: all
 Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
-Suggests: liblocale-gettext-perl, perl-modules, ecryptfs-utils (>= 67-1)
+Recommends: ecryptfs-utils (>= 67-1)
+Suggests: liblocale-gettext-perl, perl-modules
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating

## adduser 3.112+nmu2

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
+Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Joerg Hoh <joerg@joerghoh.de>, Roland Bauerschmidt <rb@debian.org>, Stephen Gran <sgran@debian.org>
 Standards-Version: 3.8.3
 Build-Depends: po-debconf
@@ -14,7 +13,6 @@
 Package: adduser
 Architecture: all
 Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
-Recommends: ecryptfs-utils (>= 67-1)
 Suggests: liblocale-gettext-perl, perl-modules
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: add and remove users and groups

## adduser 3.113%2Bnmu3ubuntu4

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,13 @@
 		debian/tmp/usr/share/man/es/man5 \
 		debian/tmp/usr/share/man/es/man8 \
 		debian/tmp/usr/share/man/it/man5 \
-		debian/tmp/usr/share/man/it/man8
+		debian/tmp/usr/share/man/it/man8 \
+		debian/tmp/usr/share/man/pt/man5 \
+		debian/tmp/usr/share/man/pt/man8 \
+		debian/tmp/usr/share/man/de/man5 \
+		debian/tmp/usr/share/man/de/man8 \
+		debian/tmp/usr/share/man/da/man5 \
+		debian/tmp/usr/share/man/da/man8
 	sed -e s/VERSION/$(version)/g adduser > debian/tmp/usr/sbin/adduser
 	sed -e s/VERSION/$(version)/g deluser > debian/tmp/usr/sbin/deluser
 	sed -e s/VERSION/$(version)/g AdduserCommon.pm > debian/tmp/usr/share/perl5/Debian/AdduserCommon.pm

## adduser 3.113+nmu1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Joerg Hoh <joerg@joerghoh.de>, Roland Bauerschmidt <rb@debian.org>, Stephen Gran <sgran@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 Build-Depends: po-debconf
 Build-Depends-Indep: gettext (>= 0.13), po4a (>= 0.31)
 Vcs-Svn: svn://svn.debian.org/adduser/

=== debian/rules ===
--- 
+++ 
@@ -46,9 +46,7 @@
 		debian/tmp/usr/share/man/pt/man5 \
 		debian/tmp/usr/share/man/pt/man8 \
 		debian/tmp/usr/share/man/de/man5 \
-		debian/tmp/usr/share/man/de/man8 \
-		debian/tmp/usr/share/man/da/man5 \
-		debian/tmp/usr/share/man/da/man8
+		debian/tmp/usr/share/man/de/man8
 	sed -e s/VERSION/$(version)/g adduser > debian/tmp/usr/sbin/adduser
 	sed -e s/VERSION/$(version)/g deluser > debian/tmp/usr/sbin/deluser
 	sed -e s/VERSION/$(version)/g AdduserCommon.pm > debian/tmp/usr/share/perl5/Debian/AdduserCommon.pm

## adduser 3.113+nmu1ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Joerg Hoh <joerg@joerghoh.de>, Roland Bauerschmidt <rb@debian.org>, Stephen Gran <sgran@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: po-debconf
@@ -12,7 +13,9 @@
 
 Package: adduser
 Architecture: all
+Multi-Arch: foreign
 Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
+Recommends: ecryptfs-utils (>= 67-1)
 Suggests: liblocale-gettext-perl, perl-modules
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: add and remove users and groups

## adduser 3.113+nmu3ubuntu3

=== po/Makefile ===
--- 
+++ 
@@ -22,7 +22,9 @@
 	done;
 
 adduser.pot: $(SOURCES)
-	$(XGETTEXT) -c -L Perl -kgtx -o $@ $(SOURCES)
+	$(XGETTEXT) -c -L Perl -kgtx \
+	--msgid-bugs-address=adduser-devel@lists.alioth.debian.org \
+	-o $@ $(SOURCES)
 
 install: all
 	for i in $(MO) ; do \

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
 Vcs-Svn: svn://svn.debian.org/adduser/
 Vcs-Browser: http://svn.debian.org/wsvn/adduser/
 Homepage: http://alioth.debian.org/projects/adduser/
+XS-Testsuite: autopkgtest
 
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
 Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
-Recommends: ecryptfs-utils (>= 67-1)
-Suggests: liblocale-gettext-perl, perl-modules
+Suggests: liblocale-gettext-perl, perl-modules, ecryptfs-utils (>= 67-1)
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating

## adduser 3.113+nmu3ubuntu4

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
-Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
+Depends: perl-base (>=5.6.0), passwd (>= 1:4.1.5.1-1.1ubuntu6), debconf | debconf-2.0
 Suggests: liblocale-gettext-perl, perl-modules, ecryptfs-utils (>= 67-1)
 Replaces: manpages-pl (<= 20051117-1), manpages-it (<< 0.3.4-2)
 Description: add and remove users and groups

=== debian/tests/control ===
Tests: adduser
# 'chage' prints messages to stderr when tests run with shadow off
Restrictions: needs-root allow-stderr

## adduser 3.115

=== debian/control ===
Source: adduser
Section: admin
Priority: important
Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Standards-Version: 3.9.8
Build-Depends: po-debconf, debhelper (>= 9)
Build-Depends-Indep: gettext, po4a
Vcs-Git: https://anonscm.debian.org/git/adduser/adduser.git
Vcs-Browser: https://anonscm.debian.org/cgit/adduser/adduser.git
Homepage: http://alioth.debian.org/projects/adduser/

Package: adduser
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: passwd, ${misc:Depends}
Suggests: liblocale-gettext-perl, perl
Description: add and remove users and groups
 This package includes the 'adduser' and 'deluser' commands for creating
 and removing users.
 .
  - 'adduser' creates new users and groups and adds existing users to
    existing groups;
  - 'deluser' removes users and groups and removes users from a given
    group.
 .
 Adding users with 'adduser' is much easier than adding them manually.
 Adduser will choose appropriate UID and GID values, create a home
 directory, copy skeletal user configuration, and automate setting
 initial values for the user's password, real name and so on.
 .
 Deluser can back up and remove users' home directories
 and mail spool or all the files they own on the system.
 .
 A custom script can be executed after each of the commands.
 .
  Development mailing list:
    http://lists.alioth.debian.org/mailman/listinfo/adduser-devel/

## adduser 3.116ubuntu1

=== po/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 update: adduser.pot
 	-@for po in $(PO); do \
 	echo -n "Updating $$po"; \
-	$(MSGMERGE) -U $$po adduser.pot; \
+	$(MSGMERGE) --previous -U $$po adduser.pot; \
 	done;
 
 adduser.pot: $(SOURCES)

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Build-Depends: po-debconf, debhelper (>= 9)
 Build-Depends-Indep: gettext, po4a
-Vcs-Git: https://anonscm.debian.org/git/adduser/adduser.git
-Vcs-Browser: https://anonscm.debian.org/cgit/adduser/adduser.git
+XS-Debian-Vcs-Git: https://anonscm.debian.org/git/adduser/adduser.git
+XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/adduser/adduser.git
 Homepage: http://alioth.debian.org/projects/adduser/
+XS-Testsuite: autopkgtest
 
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd, ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl
+Suggests: liblocale-gettext-perl, perl, ecryptfs-utils (>= 67-1)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

=== debian/rules ===
#!/usr/bin/make -f

package = adduser
version = $(shell dpkg-parsechangelog | awk '/^Version/{print $$2}')

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C po all adduser.pot
	# generate man pages
	cd doc/po4a && po4a --previous po4a.conf

override_dh_auto_clean:
	$(MAKE) -C po update clean
	debconf-updatepo
	cd doc/po4a && po4a --previous --rm-translations po4a.conf

override_dh_auto_install:
	$(MAKE) -C po install DESTDIR=`pwd`/debian/adduser

override_dh_install:
	dh_install
	sed -e s/VERSION/$(version)/g adduser > debian/adduser/usr/sbin/adduser
	sed -e s/VERSION/$(version)/g deluser > debian/adduser/usr/sbin/deluser
	sed -e s/VERSION/$(version)/g AdduserCommon.pm > debian/adduser/usr/share/perl5/Debian/AdduserCommon.pm
	chmod 755 debian/adduser/usr/sbin/*
	ln -s adduser debian/adduser/usr/sbin/addgroup
	ln -s deluser debian/adduser/usr/sbin/delgroup

	./debian/scripts/install-manpages.pl $(version) doc/ debian/adduser/usr/share/man/

#	install -o root -g root -m644 TODO debian/adduser/usr/share/doc/adduser/
	install -o root -g root -m0755 -d debian/adduser/DEBIAN
	po2debconf debian/templates > debian/adduser/DEBIAN/templates

override_dh_compress:
	dh_compress -X examples/adduser.local

=== debian/tests/control ===
Test-Command: cd testsuite/ && ./runsuite.sh
Restrictions: allow-stderr breaks-testbed needs-root

## adduser 3.116ubuntu1sutton1

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: passwd, ${misc:Depends}
+Depends: passwd, ${misc:Depends}, oem-dmic-sof-lp1825294
 Suggests: liblocale-gettext-perl, perl, ecryptfs-utils (>= 67-1)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating

## adduser 3.116ubuntu1sutton3

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: passwd, ${misc:Depends}, oem-dmic-sof-lp1825294
+Depends: passwd, ${misc:Depends}, sutton-base-meta
 Suggests: liblocale-gettext-perl, perl, ecryptfs-utils (>= 67-1)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating

## adduser 3.117

=== debian/control ===
Source: adduser
Section: admin
Priority: important
Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
Standards-Version: 4.0.1
Build-Depends: po-debconf, debhelper (>= 9)
Build-Depends-Indep: gettext, po4a
Vcs-Browser: https://salsa.debian.org/debian/adduser
Vcs-Git: https://salsa.debian.org/debian/adduser.git

Package: adduser
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: passwd, ${misc:Depends}
Suggests: liblocale-gettext-perl, perl
Description: add and remove users and groups
 This package includes the 'adduser' and 'deluser' commands for creating
 and removing users.
 .
  - 'adduser' creates new users and groups and adds existing users to
    existing groups;
  - 'deluser' removes users and groups and removes users from a given
    group.
 .
 Adding users with 'adduser' is much easier than adding them manually.
 Adduser will choose appropriate UID and GID values, create a home
 directory, copy skeletal user configuration, and automate setting
 initial values for the user's password, real name and so on.
 .
 Deluser can back up and remove users' home directories
 and mail spool or all the files they own on the system.
 .
 A custom script can be executed after each of the commands.

## adduser 3.117ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 4.0.1
 Build-Depends: po-debconf, debhelper (>= 9)
 Build-Depends-Indep: gettext, po4a
-Vcs-Browser: https://salsa.debian.org/debian/adduser
-Vcs-Git: https://salsa.debian.org/debian/adduser.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/adduser
+XS-Debian-Vcs-Git: https://salsa.debian.org/debian/adduser.git
 
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd, ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl
+Suggests: liblocale-gettext-perl, perl, ecryptfs-utils (>= 67-1)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

## adduser 3.118

=== po/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 adduser.pot: $(SOURCES)
 	$(XGETTEXT) -c -L Perl -kgtx \
-	--msgid-bugs-address=adduser-devel@lists.alioth.debian.org \
+	--msgid-bugs-address=adduser@packages.debian.org \
 	-o $@ $(SOURCES)
 
 install: all

## adduser 3.118ubuntu2

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: important
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
-Standards-Version: 4.0.1
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
+Standards-Version: 4.2.1
 Build-Depends: po-debconf, debhelper (>= 9)
 Build-Depends-Indep: gettext, po4a
 XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/adduser

## adduser 3.118ubuntu5

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 4.2.1

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
+
 package = adduser
-version = $(shell dpkg-parsechangelog | awk '/^Version/{print $$2}')
+version = $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@

## adduser 3.118+deb11u1

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
+Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 4.2.1
 Build-Depends: po-debconf, debhelper (>= 9)
 Build-Depends-Indep: gettext, po4a
-XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/adduser
-XS-Debian-Vcs-Git: https://salsa.debian.org/debian/adduser.git
+Vcs-Browser: https://salsa.debian.org/debian/adduser
+Vcs-Git: https://salsa.debian.org/debian/adduser.git
 
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd, ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, ecryptfs-utils (>= 67-1)
+Suggests: liblocale-gettext-perl, perl
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

## adduser 3.121ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Standards-Version: 4.2.1
-Build-Depends: po-debconf, debhelper (>= 9)
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), po-debconf
 Build-Depends-Indep: gettext, po4a
-Vcs-Browser: https://salsa.debian.org/debian/adduser
-Vcs-Git: https://salsa.debian.org/debian/adduser.git
+Rules-Requires-Root: binary-targets
+XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/adduser
+XS-Debian-Vcs-Git: https://salsa.debian.org/debian/adduser.git
 
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd, ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl
+Suggests: liblocale-gettext-perl, perl, cron, ecryptfs-utils (>= 67-1)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

=== debian/rules ===
--- 
+++ 
@@ -25,12 +25,9 @@
 	dh_install
 	sed -e s/VERSION/$(version)/g adduser > debian/adduser/usr/sbin/adduser
 	sed -e s/VERSION/$(version)/g deluser > debian/adduser/usr/sbin/deluser
-	sed -e s/VERSION/$(version)/g AdduserCommon.pm > debian/adduser/usr/share/perl5/Debian/AdduserCommon.pm
 	chmod 755 debian/adduser/usr/sbin/*
 	ln -s adduser debian/adduser/usr/sbin/addgroup
 	ln -s deluser debian/adduser/usr/sbin/delgroup
-
-	./debian/scripts/install-manpages.pl $(version) doc/ debian/adduser/usr/share/man/
 
 #	install -o root -g root -m644 TODO debian/adduser/usr/share/doc/adduser/
 	install -o root -g root -m0755 -d debian/adduser/DEBIAN
@@ -38,4 +35,3 @@
 
 override_dh_compress:
 	dh_compress -X examples/adduser.local
-

=== debian/tests/control ===
Test-Command: /usr/bin/prove -v debian/tests/f
Depends: cron, perl
Restrictions: needs-root

Test-Command: cd testsuite/ && ./runsuite.sh
Restrictions: allow-stderr breaks-testbed needs-root

## adduser 3.129

=== debian/control ===
Source: adduser
Section: admin
Priority: important
Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: gettext, po4a
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/debian/adduser
Vcs-Git: https://salsa.debian.org/debian/adduser.git

Package: adduser
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: passwd, ${misc:Depends}
Suggests: liblocale-gettext-perl, perl, cron
Description: add and remove users and groups
 This package includes the 'adduser' and 'deluser' commands for creating
 and removing users.
 .
  - 'adduser' creates new users and groups and adds existing users to
    existing groups;
  - 'deluser' removes users and groups and removes users from a given
    group.
 .
 Adding users with 'adduser' is much easier than adding them manually.
 'Adduser' will choose UID and GID values that conform to Debian policy,
 create a home directory, copy skeletal user configuration, and
 automate setting initial values for the user's password, real name
 and so on.
 .
 'Deluser' can back up and remove users' home directories
 and mail spool or all the files they own on the system.
 .
 A custom script can be executed after each of the commands.
 .
 'Adduser' and 'Deluser' are intended to be used by the local
 administrator in lieu of the tools from the 'useradd' suite, and
 they provide support for easy use from Debian package maintainer
 scripts, functioning as kind of a policy layer to make those scripts
 easier and more stable to write and maintain.

## adduser 3.129ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: gettext, po4a
 Rules-Requires-Root: binary-targets
 Vcs-Browser: https://salsa.debian.org/debian/adduser
-Vcs-Git: https://salsa.debian.org/debian/adduser.git
+Vcs-Git: https://salsa.debian.org/debian/adduser.git -b ubuntu/devel
 
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd, ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, cron
+Suggests: liblocale-gettext-perl, perl, cron, ecryptfs-utils (>= 67-1)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,10 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) -C po all adduser.pot
 	# generate man pages
 	cd doc/po4a && po4a --previous po4a.conf
 
 override_dh_auto_clean:
-	$(MAKE) -C po update clean
-	debconf-updatepo
 	cd doc/po4a && po4a --previous --rm-translations po4a.conf
 
 override_dh_auto_install:
@@ -29,9 +26,7 @@
 	ln -s adduser debian/adduser/usr/sbin/addgroup
 	ln -s deluser debian/adduser/usr/sbin/delgroup
 
-#	install -o root -g root -m644 TODO debian/adduser/usr/share/doc/adduser/
 	install -o root -g root -m0755 -d debian/adduser/DEBIAN
-	po2debconf debian/templates > debian/adduser/DEBIAN/templates
 
 override_dh_compress:
 	dh_compress -X examples/adduser.local

## adduser 3.133

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
+Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: gettext, po4a
-Rules-Requires-Root: binary-targets
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), po4a
+Build-Depends-Indep: gettext
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/adduser
-Vcs-Git: https://salsa.debian.org/debian/adduser.git -b ubuntu/devel
+Vcs-Git: https://salsa.debian.org/debian/adduser.git
 
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd, ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, cron, ecryptfs-utils (>= 67-1)
+Protected: yes
+Suggests: liblocale-gettext-perl, perl, cron, quota
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

## adduser 3.134

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd, ${misc:Depends}
-Protected: yes
 Suggests: liblocale-gettext-perl, perl, cron, quota
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 
 override_dh_auto_build:
 	# generate man pages
-	cd doc/po4a && po4a --previous po4a.conf
+	cd doc/po4a && po4a --keep 95 --previous po4a.conf
 
 override_dh_auto_clean:
-	cd doc/po4a && po4a --previous --rm-translations po4a.conf
+	cd doc/po4a && po4a --keep 95 --previous --rm-translations po4a.conf
 
 override_dh_auto_install:
 	$(MAKE) -C po install DESTDIR=`pwd`/debian/adduser
@@ -26,7 +26,5 @@
 	ln -s adduser debian/adduser/usr/sbin/addgroup
 	ln -s deluser debian/adduser/usr/sbin/delgroup
 
-	install -o root -g root -m0755 -d debian/adduser/DEBIAN
-
 override_dh_compress:
 	dh_compress -X examples/adduser.local

=== debian/tests/control ===
--- 
+++ 
@@ -3,4 +3,5 @@
 Restrictions: needs-root
 
 Test-Command: cd testsuite/ && ./runsuite.sh
+Depends: cron, perl
 Restrictions: allow-stderr breaks-testbed needs-root

## adduser 3.134+mint1

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd, ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, cron, quota
+Suggests: liblocale-gettext-perl, perl, cron, quota, ecryptfs-utils
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.
